## org.apache.lucene.queryParser.standard.config
Class RangeCollatorAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.RangeCollatorAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, RangeCollatorAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class RangeCollatorAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements RangeCollatorAttribute, ConfigAttribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `Collator` should be used for a `TermRangeQuery`

See Also:
  `RangeCollatorAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`RangeCollatorAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`Collator` `getRangeCollator()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setDateResolution(Collator rangeCollator)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeCollatorAttributeImpl

    public RangeCollatorAttributeImpl()

  Deprecated.

Method Detail

### setDateResolution

    public void setDateResolution(Collator rangeCollator)

  Deprecated.
  Specified by:
    `setDateResolution` in interface `RangeCollatorAttribute`

### getRangeCollator

    public Collator getRangeCollator()

  Deprecated.
  Specified by:
    `getRangeCollator` in interface `RangeCollatorAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`